> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unicontrol.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Heartbeat for an already-registered cloud edge



## OpenAPI

````yaml https://portal.unicontrol.me/v1/openapi post /v1/edge/cloud-heartbeat
openapi: 3.1.0
info:
  title: Unicontrol API
  description: Welcome
  version: 1.0.0
servers:
  - url: http://0.0.0.0:3000
    description: Local Server
  - url: https://portal.test.flexhome.casa
    description: Development
  - url: https://portal.unicontrol.me
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/edge/cloud-heartbeat:
    post:
      tags:
        - Edge Runtime
      summary: Heartbeat for an already-registered cloud edge
      operationId: postV1EdgeCloud-heartbeat
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - hostname
              properties:
                hostname:
                  type: string
      responses:
        '200':
          description: Heartbeat accepted
        '401':
          description: Não autenticado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: unauthorized
        '404':
          description: Not registered
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````